# cern-lxdistcc-wrappers: v46 2011/05/09 KELEMEN Peter <Peter.Kelemen@cern.ch>

%{!?dist: %define dist .slc5}
%define debug_package %{nil}

Name: cern-lxdistcc-wrappers
Version: 1
Release: 4%{dist}
Summary: CERN lxdistcc compiler wrappers
Group: Development/Languages
License: GPL
Vendor: CERN
Packager: lxdistcc-admins@cern.ch
URL: https://twiki.cern.ch/twiki/bin/view/LinuxSupport/DistccPilotService
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: x86_64

%define	_prefix	/usr
%define _bindir %{_prefix}/bin

Requires: openafs-client >= 1.4.8-8.cern
Obsoletes: cern-lxdistcc-lcg

%description 
CERN lxdistcc compiler wrappers for %{dist}.%{buildarch}

%prep
%setup -cT

cat > %{name}.sh <<EOT
#!/bin/sh
# %{name}.sh: v1 KELEMEN Peter <%{packager}>
_self=\${0##*/}

setup_env () {
	_version=\${_self##*-}
	_platform=\${_platform:-x86_64-slc6}

	_prefix="/afs/cern.ch/sw/lcg/external/gcc/\${_version}"
	_bin="\${_prefix}/\${_platform}/bin"
	_lib="\${_prefix}/\${_platform}/lib64"
	LD_LIBRARY_PATH="\${_lib}\${LD_LIBRARY_PATH:+:}\${LD_LIBRARY_PATH}"
	PATH="\${_bin}\${PATH:+:}\${PATH}"

	export LD_LIBRARY_PATH
	export PATH
}

case \${_self} in
	lcg-*-4.3.2|lcg-*-4.3.5|lcg-*-4.5.2)
		setup_env
		;;

	*)
		echo "E: Unsupported compiler '\${_self}', please contact <%{packager}>"
		exit 100
		;;
esac

\${_bin}/\${_self} "\$@"
exit \$?

# End of file.
EOT

%build

%install
rm -rf ${RPM_BUILD_ROOT}
install -m 755 -d ${RPM_BUILD_ROOT}/%{_bindir}
install -m 755 %{name}.sh ${RPM_BUILD_ROOT}/%{_bindir}
cd ${RPM_BUILD_ROOT}/%{_bindir}
ln -s %{name}.sh lcg-gcc-4.3.2
ln -s %{name}.sh lcg-g++-4.3.2
ln -s %{name}.sh lcg-c++-4.3.2
ln -s %{name}.sh lcg-gcc-4.3.5
ln -s %{name}.sh lcg-g++-4.3.5
ln -s %{name}.sh lcg-c++-4.3.5
ln -s %{name}.sh lcg-gcc-4.5.2
ln -s %{name}.sh lcg-g++-4.5.2
ln -s %{name}.sh lcg-c++-4.5.2

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%{_bindir}/%{name}.sh
%{_bindir}/lcg-*

%changelog
* Mon Oct 24 2011 Jaroslaw Polok <lxdistcc-admins@cern.ch> 1-4
- first build for SLC6

* Mon May 16 2011  KELEMEN Peter <lxdistcc-admins@cern.ch> 1-3
- dropped Requires: distcc-server, we need the wrappers installed on both client/server

* Mon May  9 2011  KELEMEN Peter <lxdistcc-admins@cern.ch> 1-2
- dropped Conflicts:
- added Requires: distcc-server

* Mon May  9 2011  KELEMEN Peter <lxdistcc-admins@cern.ch> 1-1
- renamed package to cern-lxdistcc-wrappers
- support for LCG compiler versions: 4.3.2, 4.3.5, 4.5.2
